import express from 'express';
import { wrapAsync } from '@/api/http/request';
import * as search from '@/api/controllers/search.controller';
import permissions from '@/middlewares/check-permissions';

const router = express.Router();

router.use(permissions.checkCrudPermissions('search'));

router.post('/', wrapAsync(search.search));

export default router;
